//==============================================================================================
//
//	Windows Interface Construction Set
//	Version 1.00
//
//	DLGTMPLT.H - Dialog Template Header File
//	Copyright  1993 by Microdyne Development Technologies.
//	All rights reserved.
//==============================================================================================

#ifndef _DLGTMPLT_H
#define _DLGTMPLT_H

#include <owl.h>

#pragma option -Vo-
#if     defined(__BCOPT__) && !defined(_ALLOW_po)
#pragma option -po-
#endif

#define DTCS_BUTTON			(LPSTR)0x00000080L
#define DTCS_EDIT			(LPSTR)0x00000081L
#define DTCS_STATIC			(LPSTR)0x00000082L
#define DTCS_LISTBOX		(LPSTR)0x00000083L
#define DTCS_SCROLLBAR		(LPSTR)0x00000084L
#define DTCS_COMBOBOX		(LPSTR)0x00000085L

#define CTLCLASS        20      /* max size of class name */
#define CTLTITLE        94      /* max size of control text */

typedef struct tagDIALOGBOXHEADER
{
    DWORD lStyle;
    BYTE  bNumberOfItems;
    WORD  x;
    WORD  y;
    WORD  cx;
    WORD  cy;
} DIALOGBOXHEADER;

typedef DIALOGBOXHEADER FAR * LPDIALOGBOXHEADER;

typedef struct tagCONTROLDATA
{
    WORD  x;
    WORD  y;
    WORD  cx;
    WORD  cy;
    WORD  wID;
	DWORD lStyle;
} CONTROLDATA ;

typedef CONTROLDATA FAR * LPCONTROLDATA ;


_CLASSDEF (TDialogTemplate)

class _EXPORT TDialogTemplate
{
private:
	HGLOBAL	hTemplate ;
	WORD	wSize;

protected:
public:
	TDialogTemplate(DWORD lStyle, WORD x, WORD y, WORD cx, WORD cy, LPSTR lpClass, Pchar lpCaption);
	~TDialogTemplate();

	void AssignMenu (Pchar lpMenuName);
	void AddControl (DWORD lStyle, WORD id, WORD x, WORD y, WORD cx, WORD cy, LPSTR lpClass, Pchar lpCaption);
	HGLOBAL GetHandle() { return hTemplate; }
};

#pragma option -Vo.
#if     defined(__BCOPT__) && !defined(_ALLOW_po)
#pragma option -po.
#endif

#endif
